【转】在OEL/Redhat 5/6上安装Oracle Database 12.1 的要求

在 RHEL6 或 OL6 64 位 (x86-64) 上安装 Oracle Database 12.1 的要求 (Doc ID 1603241.1)

 

适用于:

Oracle Database – Standard Edition – 版本 12.1.0.1 和更高版本
Oracle Database – Enterprise Edition – 版本 12.1.0.1 和更高版本
Linux x86-64

用途

本说明介绍在 Red Hat Enterprise Linux 6.0 或 Oracle Linux 6(或更高版本的 6.x)64 位 (x86-64) 上成功安装 Oracle Database 12.1 版本需要满足的要求。

本说明并非重复介绍《Oracle Database 12.1 Installation Guide》中所提供的“方法”步骤。例如,本说明不包含如何创建名为“oracle”的 Linux OS 帐户,也不涉及如何设置环境变量。这些内容在《Oracle®Database Installation Guide 12c Release 1 (12.1) for Linux》中已充分说明。

适用范围

本过程面向在 64 位 (x86-64) 平台的 RHEL 6.0 上计划/安装 Oracle Database 12.1 的用户。由于明确目标是确保 Oracle Linux (OL) 与 RHEL 一样正常工作,本说明也完全适用于 64 位 (x86-64) OL 6.0。

本过程不适用于规划/安装 Grid Infrastructure(简称 GI)或任何其他 Oracle 产品。

详细信息

在 RHEL6 或 OL6 64 位 (x86_64) 上安装 Oracle Database 12.1 版本 64 位的要求。

在继续安装之前,请用一点时间认真复查以下各项要求,以避免安装二进制文件期间出现任何明显的问题。

1. 下载 Oracle Database 12.1 软件

– 从 My Oracle Support 下载 Oracle Database 12.1 软件
Note 1194734.1 Where do I find that on My Oracle Support (MOS) [Video]

– 下载软件之后,验证所下载软件的完整性
Note 549617.1 How To Verify The Integrity Of A Patch/Software Download? [Video]

– 如果在其他计算机上下载了软件,请使用二进制模式将 zip 文件传输到要进行安装的服务器上,然后使用 Oracle 软件用户身份解压缩文件。

 

I. 硬件:

1. 最低硬件要求

a.) 确保系统满足以下物理内存要求:
最低:1 GB RAM
推荐:2 GB RAM 或更多

b.) 交换磁盘空间与系统物理内存的比例如下:

RAM 交换空间
1 GB 到 2 GB 之间 RAM 大小的 1.5 倍
2 GB 到 16 GB 之间 等于 RAM 的大小
超过 16 GB 16 GB

注:以上推荐值(摘自《Oracle® Database Installation Guide 12c Release 1 (12.1) for Linux》)是安装的最低要求。优化/改进 RDBMS 性能可能需要更多 RAM 和交换空间。

c.) /tmp 目录中有 1.0 GB (1024MB) 磁盘空间(磁盘空间小于 2TB)。

如果 /tmp 目录中可用的空闲空间小于所需空间,则完成以下步骤之一:
– 从 /tmp 目录删除不必要的文件以满足磁盘空间要求。
– 在设置 Oracle 用户环境时设置 TMP 和 TMPDIR 环境变量。

d.) 约 6.5 GB 的本地磁盘空间用于数据库软件文件。

e.) 如果要在安装期间创建预配置数据库,则所选文件系统必须至少具有 2 GB 空闲磁盘空间。
对于生产数据库,必须根据数据库的使用来估算磁盘空间要求。

2. 支持在 ext2、ext3 和 ext4 文件系统上运行 Oracle 数据库(有关详细信息,请参阅 Note:236826.1)。

 

II. 软件:

1. 经过认证的 Linux 操作系统

Oracle Linux 6
Red Hat Enterprise Linux 6

2. Oracle 推荐使用默认软件程序包 (RPM) 安装 Linux 操作系统,并且在安装期间不要定制 RPM。有关“default-RPMs”的详细信息,请参阅 Note 376183.1, “Defining a “default RPMs” installation of the RHEL OS” 或 Note 401167.1, “Defining a “default RPMs” installation of the Oracle Enterprise Linux (OEL) OS”。

3. Linux 内核要求

采用 Unbreakable Enterprise 内核的 Oracle Linux 6:2.6.39-200.24.1.el6uek.x86_64 或更高版本
采用 Red Hat 兼容内核的 Oracle Linux 6:2.6.32-71.el6.x86_64 或更高版本
Red Hat Enterprise Linux 6:2.6.32-71.el6.x86_64 或更高版本
采用 Unbreakable Enterprise 内核的 Red Hat Enterprise Linux 6:2.6.32-100.28.5.el6.x86_64 或更高版本

Note 1508516.1 Is It Mandatory To Install UEK Kernel Under RHEL?

4. 所需操作系统组件(根据发行说明和安装指南)

a.) 此列表的确切版本号详细信息基于 64 位 (x86_64) RHEL 6.0。使用更高的“update”级别时,RPM 版本号(例如 4.4.4-13)可能略有不同。由于 RHEL 6 的更新通过了认证,因此只要仍使用 64 位 Linux (x86_64) RHEL 6 RPM 就不会有问题。

b.) 您开始使用的 Linux 的“default-RPMs”基础平台中可能已经满足了一些安装指南要求:

  1. binutils-2.20.51.0.2-5.11.el6 (x86_64)
  2. glibc-2.12-1.7.el6 (x86_64)
  3. libgcc-4.4.4-13.el6 (x86_64)
  4. libstdc++-4.4.4-13.el6 (x86_64)
  5. libaio-0.3.107-10.el6 (x86_64)
  6. libXext-1.1 (x86_64)
  7. libXtst-1.0.99.2 (x86_64)
  8. libX11-1.3 (x86_64)
  9. libXau-1.0.5 (x86_64)
  10. libxcb-1.5 (x86_64)
  11. libXi-1.3 (x86_64)
  12. make-3.81-19.el6
  13. sysstat-9.0.4-11.el6 (x86_64)

c.) 必须安装的剩余安装指南要求:

  1. compat-libcap1-1.10-1 (x86_64)
  2. compat-libstdc++-33-3.2.3-69.el6 (x86_64)
  3. gcc-4.4.4-13.el6 (x86_64)
  4. gcc-c++-4.4.4-13.el6 (x86_64)
  5. glibc-devel-2.12-1.7.el6 (x86_64)
  6. ksh  <== 任何版本的 ksh 都可以。
  7. libstdc++-devel-4.4.4-13.el6 (x86_64)
  8. libaio-devel-0.3.107-10.el6 (x86_64)

d.) 希望安装 Oracle Database 12.1 32 位客户端软件的客户还应安装以下程序包:

  1. compat-libstdc++-33-3.2.3-69.el6 (i686)
  2. glibc-2.12-1.7.el6 (i686)
  3. glibc-devel-2.12-1.7.el6 (i686)
  4. libgcc-4.4.4-13.el6 (i686)
  5. libstdc++-4.4.4-13.el6 (i686)
  6. libstdc++-devel-4.4.4-13.el6 (i686)
  7. libaio-0.3.107-10.el6 (i686)
  8. libaio-devel-0.3.107-10.el6 (i686)
  9. libXext-1.1 (i686)
  10. libXtst-1.0.99.2 (i686)
  11. libX11-1.3 (i686)
  12. libXau-1.0.5 (i686)
  13. libxcb-1.5 (i686)
  14. libXi-1.3 (i686)

5. 其他必需操作系统组件(根据 runInstaller OUI)
a.) 预留,目前没有

6. 其他必需操作系统组件(根据本文)

a.) 请勿草率运行、跳过或减少这一关键步骤。此列表基于 64 位 (x86_64) RHEL Server 6 的“default-RPMs”安装。如果执行 64 位 (x86_64) RHEL Server 6 的“less-than-default-RPMs”安装,则可能需要其他 RPM(在 Oracle 已知之外的任何程序包)。有关详细信息,请参阅 Note 376183.1, “Defining a “default RPMs” installation of the RHEL OS”

b.) 第 II.3.c 部分中列出的内容将需要多个 RPM 作为先决条件:

            cloog-ppl.x86_64 0:0.15.7-1.2.el6
cpp.x86_64 0:4.4.6-4.el6
glibc-headers.x86_64 0:2.12-1.80.el6
kernel-headers.x86_64 0:2.6.32-279.el6
mpfr.x86_64 0:2.4.1-6.el6
ppl.x86_64 0:0.10.2-11.el6
redhat-release-6Server-1.noarch (只针对于 RHEL)

7. Oracle 全球客户支持最近发现,安装过多 RPM 有可能会导致出现安装问题。例如:

a.) 在 Linux 上,无需安装您自己的 JDK 版本(在执行 Oracle 软件 runInstaller 之前),并且在 Linux 上不推荐这样做。预先安装的 JDK 通常会干扰 Linux Oracle 软件 runInstaller 将放置和使用的正确 JDK。

b.) 安装所需版本之外的 gcc/g++ RPM 通常会导致意外使用(即启用或激活)不正确的版本。如果相同 Linux 计算机上安装了多个 RDBMS 版本,则您可能需要管理多个版本的 gcc/g++。有关详细信息,请参阅 Note 444084.1, “Multiple gcc / g++ Versions in Linux”

8. 第 II. 部分中的所有 RPM 均位于 Red Hat Enterprise Linux 6 64 位 (x86_64) 分发介质上。

 

III. 环境:

1. 以下为数据库软件安装所需的最低推荐内核参数设置。请按以下所示修改 /etc/sysctl.conf 中的内核设置。

注:如果任何参数的当前值高于列出的值,请勿更改该参数的值。

kernel.shmall = 1/2 的物理内存页面数,此值将为 2097152。有关详细信息,请参阅 Note 301830.1。
kernel.shmmax = 1/2 的物理内存量(字节)。对于 4GB 物理 RAM 的系统,此值为 2147483648。

对于 32 位 Linux 系统:
最低:536870912 (512 MB)
最高:比 4 GB 少 1 个字节的值,也就是 4294967295
推荐:超过物理内存的一半

对于 64 位 Linux 系统:
最低:536870912 (512 MB)
最高:比物理内存少 1 个字节的值
推荐:超过物理内存的一半

有关配置 shmmax 的详细信息,请参阅 My Oracle Support Note 567506.1。

kernel.shmmni = 4096
kernel.sem = 250 32000 100 128
fs.file-max = 6815744
fs.aio-max-nr = 1048576

注:此值限制并行未完成请求数,应设置此值以避免 I/O 子系统故障。

net.ipv4.ip_local_port_range = 9000 65500
net.core.rmem_default = 262144
net.core.rmem_max = 4194304
net.core.wmem_default = 262144
net.core.wmem_max = 1048576

2. 要在运行的内核空间中激活这些新设置,请以 root 身份运行“sysctl -p”命令。

3. 设置 Oracle 用户的 Shell 限制。假设“oracle”Unix 用户将执行安装,请执行以下操作:

a.) 将以下设置添加到安装所有者的 /etc/security/limits.conf 配置文件。

oracle              soft    nproc    2047
oracle              hard   nproc   16384
oracle              soft    nofile    1024
oracle              hard   nofile    65536
oracle              soft    stack    10240
oracle              hard   stack    10240

注:limits.conf 文件发生更改时,这些更改立即生效。但是,如果 Oracle 用户已登录,则这些更改将在注销这些用户并重新登录之后生效。必须先完成此操作,然后再使用这些帐户进行安装。

b.) 确保加载了最新版本的 PAM,然后在 /etc/pam.d/login 文件中添加或编辑以下行(如果还没有这些内容):

session required pam_limits.so

c.) 验证当前 ulimit,如果需要则增大。可以采用多种方式完成此操作,推荐方法是在 /etc/profile 中添加以下行:

if [ $USER = “oracle” ]; then
if [ $SHELL = “/bin/ksh” ]; then
ulimit -u 16384
ulimit -n 65536
else
ulimit -u 16384 -n 65536
fi
fi

4. 以上 gcc-4.1.2 和 gcc-c++-4.1.2 RPM 项将确保安装了正确的 gcc/g++ 版本。还需要确保这些正确的 gcc/g++ 版本活动且处于使用中。确保命令“gcc –version”和“g++ –version”均返回“4.1.x”。

5. hostname 命令应返回完全合格的主机名,如下所示:

% hostname
hostname.domainname

6. 如果系统上安装了任何 Java 程序包,则取消设置 Java 环境变量,例如 JAVA_HOME。

7. 用于安装 Oracle Database 12.1 的 Oracle 帐户,默认情况下不应设置了任何与 Oracle 安装相关的变量。例如,应彻底避免设置 ORACLE_HOME、PATH、LD_LIBRARY_PATH 以在 .profile、.login 文件和 /etc/profile.d 中包括 Oracle 可执行程序。

a.) 推荐设置 $ORACLE_BASE(非 $ORACLE_HOME),因为这可以简化 OUI runInstaller 工具中的几个提示。
b.) 在成功安装后,建议设置 $ORACLE_HOME,并且设置 $PATH 以将 $ORACLE_HOME/bin 包括在 $PATH 字符串的开头。

8. 默认情况下,RHEL 6 x86_64 Linux 以“enforcing”模式启用 SELinux。对于 Oracle Database 12.1 安装过程而言,这没有问题。

9. 以 Oracle 用户身份登录,然后启动安装如下所示:

./runInstaller

a.) 最佳实践是不使用任何形式的“su”来启动 runInstaller,以避免潜在的与显示相关的问题。
b.) 执行 Oracle Database 12.1 安装时,确保使用随 Oracle Database 12.1 软件提供的“runInstaller”版本。
c.) 执行任何后续的 12.1.0.x 补丁集安装时,确保使用随补丁集提供的“runInstaller”版本。

 

附加说明

1. 从 Oracle Database 12.1 开始, 不再提供 32 位 Oracle 数据库服务器端软件。

2. 通过认证的 32 位 (x86) Oracle 数据库客户端软件可以运行在采用 x86_64 架构的 AMD64/EM64T 和 Intel 处理器芯片上的 Linux OS 上。采用 64 位操作系统的 AMD64/EM64T 正常应该支持运行 Oracle 32 位数据库客户端软件,但这不在本文的涵盖范围内。

3. 如果 scsi/fc 驱动程序支持异步功能,则 ext2 和 ext3 文件系统上支持异步 I/O。

注:在 OEL5.6 和更高版本上,Oracle 10g 及更高版本支持 Ext4 文件系统上的异步 I/O。
参考: Oracle Linux, Filesystem & I/O Type Supportability (Note 279069.1)

4. x86_64 的 DIRECTIO 支持无需额外补丁程序。

5. 在 Oracle Database 12.1 产品上不应使用任何 LD_ASSUME_KERNEL 值。

6. 可以使用以下 rpm 命令来区分 32 位或 64 位程序包。

# rpm -qa –queryformat “%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n” | grep glibc-devel
glibc-devel-2.12-1.7.el6 (x86_64)
glibc-devel-2.12-1.7.el6 (i686)

7. 先决条件 RPM 与所需 libXi* 相关,用于解决 OUI 的 java 相关性并避免下文中提到的已知问题:
Note 1569369.1 libXi.so.6: cannot open shared object file: No such file or directory

 

 

 

 

 

在 RHEL5 或 OL5 64 位 (x86-64) 上安装 Oracle Database 12.1 的要求 (Doc ID 1602908.1)

 

 

适用于:

Oracle Database – Standard Edition – 版本 12.1.0.1 和更高版本
Oracle Database – Enterprise Edition – 版本 12.1.0.1 和更高版本
Linux x86-64

用途

本文介绍在 Red Hat Enterprise Linux 5.0 或 Oracle Linux 5(或更高版本的 5.x)64 位 (x86-64) 上成功安装 Oracle Database 12.1 版本需要满足的要求

本说明并非重复介绍《Oracle Database 12.1 Installation Guide》中所提供的“方法”步骤。例如,本说明不包含如何创建名为“oracle”的 Linux OS 帐户,也不涉及如何设置环境变量。这些内容在《Oracle®Database Installation Guide 12c Release 1 (12.1) for Linux》中已充分说明。

适用范围

本过程面向在 64 位 (x86-64) 平台的 RHEL 5.0 上计划/安装 Oracle Database 12.1 的用户。由于明确目标是确保 Oracle Linux (OL) 与 RHEL 一样正常工作,本说明也完全适用于 64 位 (x86-64) OL 5.0。

这仅适用于单实例 RDBMS 安装,不适用于规划/安装 Grid Infrastructure,(简称 GI)/ASM 或任何其他 Oracle 产品。

详细信息

在 RHEL5 或 OL5 64 位 (x86_64) 上安装 Oracle Database 12.1 版本 64 位的要求

在继续安装之前,请用一点时间认真复查以下各项要求,以避免安装二进制文件期间出现任何明显的问题。

1. 下载 Oracle Database 12.1 软件

– 从 My Oracle Support 下载 Oracle Database 12.1 软件
Note 1194734.1 Where do I find that on My Oracle Support (MOS) [Video]

– 下载软件之后,验证所下载软件的完整性
Note 549617.1 How To Verify The Integrity Of A Patch/Software Download? [Video]

– 如果在其他计算机上下载了软件,请使用二进制模式将 zip 文件传输到要进行安装的服务器上,然后使用 Oracle 软件用户身份解压缩文件。

 

I. 硬件:

1. 最低硬件要求

a.) 确保系统满足以下物理内存要求:
最低:1 GB RAM
推荐:2 GB RAM 或更多

b.) 交换磁盘空间与系统物理内存的比例如下:

RAM 交换空间
1 GB 到 2 GB 之间 RAM 大小的 1.5 倍
2 GB 到 16 GB 之间 等于 RAM 的大小
超过 16 GB 16 GB

注:以上推荐值(摘自《Oracle® Database Installation Guide 12c Release 1 (12.1) for Linux》)是安装的最低要求。优化/改进 RDBMS 性能可能需要更多 RAM 和交换空间。

c.) /tmp 目录中有 1.0 GB (1024MB) 磁盘空间(磁盘空间小于 2TB)。

如果 /tmp 目录中可用的空闲空间小于所需空间,则完成以下步骤之一:
– 从 /tmp 目录删除不必要的文件以满足磁盘空间要求。
– 在设置 Oracle 用户环境时设置 TMP 和 TMPDIR 环境变量。

d.) 约 6.5 GB 的本地磁盘空间用于数据库软件文件。

e.) 如果要在安装期间创建预配置数据库,则所选文件系统必须至少具有 2 GB 空闲磁盘空间。
对于生产数据库,必须根据数据库的使用来估算磁盘空间要求。

2. 支持在 ext2、ext3 和 ext4 文件系统上运行 Oracle 数据库(有关详细信息,请参阅 Note:236826.1 for further information)

 

II. 软件:

1. 经过认证的 Linux 操作系统

Oracle Linux 5 Update 6 或更高版本
Red Hat Enterprise Linux 5 Update 6 或更高版本

2. Oracle 推荐使用默认软件程序包 (RPM) 安装 Linux 操作系统,并且在安装期间不要定制 RPM。有关“default-RPMs”的详细信息,请参阅 Note 376183.1, “Defining a “default RPMs” installation of the RHEL OS” 或 Note 401167.1, “Defining a “default RPMs” installation of the Oracle Enterprise Linux (OEL) OS”.

3. Linux 内核要求

采用 Unbreakable Enterprise 内核的 Oracle Linux 5 Update 6:2.6.32-100.0.19 或更高版本
采用 Red Hat 兼容内核的 Oracle Linux 5 Update 6:2.6.18-238.0.0.0.1.el5 或更高版本
Red Hat Enterprise Linux 5 Update 6 2.6.18-238.0.0.0.1.el5 或更高版本
采用 Unbreakable Enterprise 内核的 Red Hat Enterprise Linux 5 Update 6:2.6.32-100.0.19 或更高版本

Note 1508516.1 Is It Mandatory To Install UEK Kernel Under RHEL?

4. 所需操作系统组件(根据发行说明和安装指南)

a.) 此列表的确切版本号详细信息基于 64 位 (x86_64) RHEL 5.0。使用更高的“update”级别时,RPM 版本号(例如 4.1.4-13)可能略有不同。由于 RHEL 5 的更新通过了认证,因此只要仍使用 64 位 Linux (x86_64) RHEL 5 RPM 就不会有问题。

b.) 您开始使用的 Linux 的“default-RPMs”基础平台中可能已经满足了一些安装指南的要求:

1. binutils-2.17.50.0.6 (x86_64)
2. compat-libstdc++-33-3.2.3 (x86_64)
3. glibc-2.5-58 (x86_64)
4. ksh  <== 可接受任何版本的 ksh
5. libaio-0.3.106 (x86_64)
6. libgcc-4.1.2 (x86_64)
7. libstdc++-4.1.2 (x86_64)
8. libXext-1.0.1 (x86_64)
9. libXtst-1.0.1 (x86_64)
10. libX11-1.0.3 (x86_64)
11. libXau-1.0.1 (x86_64)
12. libXi-1.0.1 (x86_64)
13. make-3.81 (x86_64)

 

c.) 必须安装的剩余安装指南要求:

1. gcc-4.1.2 (x86_64)
2. gcc-c++-4.1.2 (x86_64)
3. glibc-devel-2.5-58 (x86_64)
4. libaio-devel-0.3.106 (x86_64)
5. libstdc++-devel-4.1.2 (x86_64)
6. sysstat-7.0.2 (x86_64)

d.) 希望安装 Oracle Database 12.1 32 位客户端软件的客户还应安装以下程序包:

1. compat-libstdc++-33-3.2.3 (i386)
2. glibc-2.5-58 (i386)
3. glibc-devel-2.5-58 (i386)
4. libaio-0.3.106 (i386)
5. libaio-devel-0.3.106 (i386)
6. libgcc-4.1.2 (i386)
7. libstdc++-4.1.2 (i386)
8. libXext-1.0.1 (i386)
9. libXtst-1.0.1 (i386)
10. libX11-1.0.3 (i386)
11. libXau-1.0.1 (i386)
12. libXi-1.0.1 (i386)

4. 其他必需操作系统组件(根据 runInstaller OUI)

a.) 预留,现在暂时没有。

5. 其他必需的操作系统组件(根据本文)

a.) 请勿草率运行、跳过或减少这一关键步骤。此列表基于 64 位 (x86_64) RHEL Server 5 的“default-RPMs”安装。如果执行 64 位 (x86_64) RHEL Server 5 的“less-than-default-RPMs”安装,则可能需要其他 RPM(在 Oracle 已知之外的任何程序包)。有关详细信息,请参阅 Note 376183.1“Defining a “default RPMs” installation of the RHEL OS”

b.) 第 II.3.c 部分中列出的内容将需要多个 RPM 作为先决条件:
glibc-headers (x86-64)
kernel-uek-headers (x86-64)

6. Oracle 全球客户支持最近发现,安装过多 RPM 有可能会导致出现安装问题。例如:

a.) 在 Linux 上,无需安装您自己的 JDK 版本(在执行 Oracle 软件 runInstaller 之前),并且在 Linux 上不推荐这样做。预先安装的 JDK 通常会干扰 Linux Oracle 软件 runInstaller 将放置和使用的正确 JDK。

b.) 安装所需版本之外的 gcc/g++ RPM 通常会导致意外使用(即启用或激活)不正确的版本。如果相同 Linux 计算机上安装了多个 RDBMS 版本,则您可能需要管理多个版本的 gcc/g++。有关详细信息,请参阅 Note 444084.1, “Multiple gcc / g++ Versions in Linux”

7. 第 II. 部分中的所有 RPM 均位于 Red Hat Enterprise Linux 5 64 位 (x86_64) 分发介质上。

 

III. 环境:

1. 以下为数据库软件安装所需的最低推荐内核参数设置。请按以下所示修改 /etc/sysctl.conf 中的内核设置。

注:如果任何参数的当前值高于列出的值,请勿更改该参数的值。

kernel.shmall = 1/2 的物理内存页面数,此值将为 2097152。有关详细信息,请参阅 Note 301830.1。
kernel.shmmax = 1/2 的物理内存量(字节)。对于 4GB 物理 RAM 的系统,此值为 2147483648。

对于 32 位 Linux 系统:
最低:536870912 (512 MB)
最高:比 4 GB 少 1 个字节的值,也就是 4294967295
推荐:超过物理内存的一半

对于 64 位 Linux 系统:
最低:536870912 (512 MB)
最高:比物理内存少 1 个字节的值
推荐:超过物理内存的一半

有关配置 shmmax 的详细信息,请参阅 My Oracle Support Note 567506.1。

kernel.shmmni = 4096
kernel.sem = 250 32000 100 128
fs.file-max = 6815744
fs.aio-max-nr = 1048576

注:此值限制并行未完成请求数,应设置此值以避免 I/O 子系统故障。

net.ipv4.ip_local_port_range = 9000 65500
net.core.rmem_default = 262144
net.core.rmem_max = 4194304
net.core.wmem_default = 262144
net.core.wmem_max = 1048576

2. 要在运行的内核空间中激活这些新设置,请以 root 身份运行“sysctl -p”命令。

3. 设置 Oracle 用户的 Shell 限制。假设“oracle”Unix 用户将执行安装,请执行以下操作:

a.) 将以下设置添加到安装所有者的 /etc/security/limits.conf 配置文件。

oracle              soft    nproc    2047
oracle              hard   nproc   16384
oracle              soft    nofile    1024
oracle              hard   nofile    65536
oracle              soft    stack    10240
oracle              hard   stack    10240

注:limits.conf 文件发生更改时,这些更改立即生效。但是,如果 Oracle 用户已登录,则这些更改将在注销这些用户并重新登录之后生效。必须先完成此操作,然后再使用这些帐户进行安装。

b.) 确保加载了最新版本的 PAM,然后在 /etc/pam.d/login 文件中添加或编辑以下行(如果还没有这些内容):

session required pam_limits.so

c.) 验证当前 ulimit,如果需要则增大。可以采用多种方式完成此操作,推荐方法是在 /etc/profile 中添加以下行:

if [ $USER = “oracle” ]; then
if [ $SHELL = “/bin/ksh” ]; then
ulimit -u 16384
ulimit -n 65536
else
ulimit -u 16384 -n 65536
fi
fi

4. 以上 gcc-4.1.2 和 gcc-c++-4.1.2 RPM 项将确保安装了正确的 gcc/g++ 版本。还需要确保这些正确的 gcc/g++ 版本活动且处于使用中。确保命令“gcc –version”和“g++ –version”均返回“4.1.x”。

5. hostname 命令应返回完全合格的主机名,如下所示:

% hostname
hostname.domainname

6. 如果系统上安装了任何 Java 程序包,则取消设置 Java 环境变量,例如 JAVA_HOME。

7. 用于安装 Oracle Database 12.1 的 Oracle 帐户,默认情况下不应设置了任何与 Oracle 安装相关的变量。例如,应彻底避免设置 ORACLE_HOME、PATH、LD_LIBRARY_PATH 以在 .profile、.login 文件和 /etc/profile.d 中包括 Oracle 可执行程序。

a.) 推荐设置 $ORACLE_BASE(非 $ORACLE_HOME),因为这可以简化 OUI runInstaller 工具中的几个提示。
b.) 在成功安装后,建议设置 $ORACLE_HOME,并且设置 $PATH 以将 $ORACLE_HOME/bin 包括在 $PATH 字符串的开头。

8. 默认情况下,RHEL 5 x86_64 Linux 会以“enforcing“模式启用 SELinux。对于 Oracle Database 12.1 安装而言,这没有问题。

9. 以 Oracle 用户身份登录,然后启动安装如下所示:

./runInstaller

a.) 最佳实践是不使用任何形式的“su”来启动 runInstaller,以避免潜在的与显示相关的问题。
b.) 执行 Oracle Database 12.1 安装时,确保使用随 Oracle Database 12.1 软件提供的“runInstaller”版本。
c.) 执行任何后续的 12.1.0.x 补丁集安装时,确保使用随补丁集提供的“runInstaller”版本。

 

附加说明

1. 从 Oracle Database 12.1 开始,不再提供 32 位 Oracle 数据库服务器端软件。

2. 通过认证的 32 位 (x86) Oracle 数据库客户端软件可以运行在采用 x86_64 架构的 AMD64/EM64T 和 Intel 处理器芯片上的 Linux OS 上。采用 64 位操作系统的 AMD64/EM64T 正常应该支持运行 Oracle 32 位数据库客户端软件,但这不在本文的涵盖范围内。

3. 如果 scsi/fc 驱动程序支持异步功能,则 ext2 和 ext3 文件系统上支持异步 I/O。

注:在 OEL5.6 和更高版本上,Oracle 10g 及更高版本支持 Ext4 文件系统上的异步 I/O。
Reference : Oracle Linux, Filesystem & I/O Type Supportability (Note 279069.1)

4. x86_64 的 DIRECTIO 支持无需额外补丁程序。

5. 在 Oracle Database 12.1 产品上不应使用任何 LD_ASSUME_KERNEL 值。

6. 可以使用以下 rpm 命令来区分 32 位或 64 位程序包。

# rpm -qa –queryformat “%{NAME}-%{VERSION}-%{RELEASE} (%{ARCH})\n” | grep glibc-devel
glibc-devel-2.5-58 (x86_64)
glibc-devel-2.5-58 (i386)

7. 先决条件 RPM 与所需 libXi* 相关,用于解决 OUI 的 java 相关性并避免下文中提到的已知问题:
Note 1569369.1 libXi.so.6: cannot open shared object file: No such file or directory

Comment

*

沪ICP备14014813号

沪公网安备 31010802001379号